<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('contact_us_pages', function (Blueprint $table) {
            $table->id();
            $table->string('banner')->nullable();
            $table->string('title')->nullable();
            $table->string('description')->nullable();
            $table->text('map')->nullable();
            $table->string('first_icon')->nullable();
            $table->string('first_icon_title')->nullable();
            $table->string('first_icon_time')->nullable();
            $table->string('second_icon')->nullable();
            $table->string('second_icon_title')->nullable();
            $table->string('second_icon_time')->nullable();
            $table->string('third_icon')->nullable();
            $table->string('third_icon_title')->nullable();
            $table->string('third_icon_time')->nullable();
            $table->string('meta_title')->nullable();
            $table->string('meta_description')->nullable();
            $table->string('meta_keyword')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('contact_us_pages');
    }
};
